Bug 1002971 - a4j:push is not working in Showcase
a4j:push is not working in Showcase
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PortletBridge (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR01
: 6.1.1
Assigned To: Ken Finnigan
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 07:44 EDT by Petr Mensik
Modified: 2015-08-02 19:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Atmosphere, the push library used by a4j:push, was attempting to use a WebSocket class that is no longer compatible with Red Hat JBoss Enterprise Application Platform. This caused a4j:push to throw server exceptions instead of producing a valid result. To work around the issue, disable WebSocket support in Atmosphere with the web.xml context-param directive: [source,XML] ---- <context-param> <param-name>org.atmosphere.useWebSocket</param-name> <param-value>false</param-value> </context-param> ----
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-13154 Major Resolved Upgrade Atmosphere to 1.0.17 (a4j:push fails with CNFE for org.apache.coyote.http11.upgrade.UpgradeInbound on latest EAP... 2014-08-22 05:07:59 EDT

  None (edit)
Description Petr Mensik 2013-08-30 07:44:54 EDT
Both Topics Context Usage and CDI push doesn't work, however no exceptions are thrown and server log is empty.

Comment from Ken Finnigan

This is now a different issue.

It appears the classpath/modules available between EAP 6.1.0 and latest EAP 6.1.1 have changed, causing a ClassNotFoundException when running the a4j:push example of the showcase.

In JPP, failed network requests can be seen in the developer console of the browser. Attempting to issue one of those failed requests directly in the browser shows the ClassNotFoundException.

Issue has been raised with RichFaces: https://issues.jboss.org/browse/RF-13154.
Comment 2 Ken Finnigan 2013-11-07 10:16:14 EST
Resolved with upgrade to RichFaces 4.3.4.Final
Comment 3 Petr Mensik 2013-12-17 08:31:20 EST
Verified it's working with the upgraded version.

Note You need to log in before you can comment on or make changes to this bug.